/*
 *  sysdeps.h - System dependent definitions for AmigaOS
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#ifndef SYSDEPS_H
#define SYSDEPS_H

#include <exec/types.h>
#include <devices/timer.h>
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// Are the Mac and the host address space the same?
#define REAL_ADDRESSING 1

// Are we using a 68k emulator or the real thing?
#define EMULATED_68K 0

// Is the Mac ROM write protected?
#define ROM_IS_WRITE_PROTECTED 0

// Data types
typedef unsigned char uint8;
typedef signed char int8;
typedef unsigned short uint16;
typedef signed short int16;
typedef unsigned long uint32;
typedef signed long int32;
typedef char bool;
#define true 1
#define false 0
typedef LONG off_t;

// Time data type for Time Manager emulation
typedef struct timeval tm_time_t;

// Endianess conversion (not needed)
#define ntohs(x) (x)
#define ntohl(x) (x)
#define htons(x) (x)
#define htonl(x) (x)

#endif
