/*
 *  xpram_amiga.cpp - XPRAM handling, AmigaOS specific stuff
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#include <exec/types.h>
#include <proto/dos.h>

#include "sysdeps.h"
#include "xpram.h"


// XPRAM file name
static char XPRAM_FILE_NAME[] = "ENV:BasiliskII_XPRAM";
static char XPRAM_FILE_NAME_ARC[] = "ENVARC:BasiliskII_XPRAM";


/*
 *  Load XPRAM from settings file
 */

void LoadXPRAM(void)
{
	BPTR fh;
	if ((fh = Open(XPRAM_FILE_NAME, MODE_OLDFILE)) != NULL) {
		Read(fh, XPRAM, 256);
		Close(fh);
	}
}


/*
 *  Save XPRAM to settings file
 */

void SaveXPRAM(void)
{
	BPTR fh;
	if ((fh = Open(XPRAM_FILE_NAME, MODE_NEWFILE)) != NULL) {
		Write(fh, XPRAM, 256);
		Close(fh);
	}
	if ((fh = Open(XPRAM_FILE_NAME_ARC, MODE_NEWFILE)) != NULL) {
		Write(fh, XPRAM, 256);
		Close(fh);
	}
}
