/*
 *  xpram_beos.cpp - XPRAM handling, BeOS specific stuff
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#include <StorageKit.h>
#include <unistd.h>

#include "sysdeps.h"
#include "xpram.h"


// XPRAM file name and path
const char XPRAM_FILE_NAME[] = "BasiliskII_XPRAM";
static BPath xpram_path;


/*
 *  Load XPRAM from settings file
 */

void LoadXPRAM(void)
{
	// Construct XPRAM path
	find_directory(B_USER_SETTINGS_DIRECTORY, &xpram_path, true);
	xpram_path.Append(XPRAM_FILE_NAME);

	// Load XPRAM from settings file
	int fd;
	if ((fd = open(xpram_path.Path(), O_RDONLY)) >= 0) {
		read(fd, XPRAM, 256);
		close(fd);
	}
}


/*
 *  Save XPRAM to settings file
 */

void SaveXPRAM(void)
{
	if (xpram_path.InitCheck() != B_NO_ERROR)
		return;
	int fd;
	if ((fd = open(xpram_path.Path(), O_WRONLY | O_CREAT, 0664)) >= 0) {
		write(fd, XPRAM, 256);
		close(fd);
	}
}
