/*
 *  cdrom.h - CD-ROM driver
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#ifndef CDROM_H
#define CDROM_H

const int CDROMRefNum = -62;			// RefNum of driver
const uint16 CDROMDriverFlags = 0x6d04;	// Driver flags
const uint16 CDROMDriverDelay = 120;	// Driver delay

extern const uint8 CDROMIcon[258];		// Icon data (copied to ROM by PatchROM())

extern uint32 CDROMIconAddr;			// Icon address (Mac address space, set by PatchROM())

extern void CDROMInit(void);
extern void CDROMExit(void);

extern int16 CDROMOpen(uint32 pb, uint32 dce);
extern int16 CDROMPrime(uint32 pb, uint32 dce);
extern int16 CDROMControl(uint32 pb, uint32 dce);
extern int16 CDROMStatus(uint32 pb, uint32 dce);

#endif
