/*
 *  debug.h - Debugging utilities
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#ifndef DEBUG_H
#define DEBUG_H

#if defined(WIN32)

// Windows debugging goes where it's supposed to go
#include <stdio.h>
#include <stdarg.h>
#include <time.h>
#include <sys/types.h>
#include <sys/timeb.h>

static void inline _cdecl winbug( char *s, ...)
{
  va_list vargs;
	char msg[1024], date[50], hours[50];
  struct _timeb tstruct;

	_ftime( &tstruct );
	_strtime( hours );
	_strdate( date );
	wsprintf( msg, "B2: %s %s:%03u ", date, hours, tstruct.millitm );
	
	va_start( vargs, s );
	wvsprintf( &msg[strlen(msg)], s, vargs );
	va_end( vargs );

	OutputDebugString(msg);
}
#define bug winbug

#elif defined(AMIGA)

// Amiga debugging info goes to serial port (or sushi)
#ifdef __cplusplus
extern "C" {
#endif
extern void kprintf(const char *, ...);
#ifdef __cplusplus
}
#endif
#define bug kprintf

#else

// Other systems just print it to stdout
#include <stdio.h>
#define bug printf

#endif

#if DEBUG
#define D(x) (x);
#else
#define D(x) ;
#endif

#endif
