/*
 *  disk.h - Generic disk driver
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#ifndef DISK_H
#define DISK_H

const int DiskRefNum = -63;				// RefNum of driver
const uint16 DiskDriverFlags = 0x6f04;	// Driver flags
const uint16 DiskDriverDelay = 120;		// Driver delay

extern const uint8 DiskIcon[258];		// Icon data (copied to ROM by PatchROM())

extern uint32 DiskIconAddr;				// Icon address (Mac address space, set by PatchROM())

extern void DiskInit(void);
extern void DiskExit(void);

extern void DiskInserted(int num);

extern int16 DiskOpen(uint32 pb, uint32 dce);
extern int16 DiskPrime(uint32 pb, uint32 dce);
extern int16 DiskControl(uint32 pb, uint32 dce);
extern int16 DiskStatus(uint32 pb, uint32 dce);

#endif
