/*
 *  ether_defs.h - Definitions for MacOS Ethernet drivers
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#ifndef ETHER_DEFS_H
#define ETHER_DEFS_H

// Error codes
enum {
	eMultiErr		= -91,
	eLenErr			= -92,
	lapProtErr		= -94,
	excessCollsns	= -95
};

// Control codes
enum {
	kENetSetGeneral	= 253,
	kENetGetInfo	= 252,
	kENetRdCancel	= 251,
	kENetRead		= 250,
	kENetWrite		= 249,
	kENetDetachPH	= 248,
	kENetAttachPH	= 247,
	kENetAddMulti	= 246,
	kENetDelMulti	= 245
};

enum {	// EParamBlock struct
	eProtType = 28,
	ePointer = 30,
	eBuffSize = 34,
	eDataSize = 36,
	eMultiAddr = 28
};

#endif
