/*
 *  sony.h - Replacement .Sony driver (floppy drives)
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#ifndef SONY_H
#define SONY_H

const int SonyRefNum = -5;				// RefNum of driver
const uint16 SonyDriverFlags = 0x6f00;	// Driver flags
const uint16 SonyDriverDelay = 120;		// Driver delay

extern const uint8 SonyDiskIcon[258];	// Icon data (copied to ROM by PatchROM())
extern const uint8 SonyDriveIcon[258];

extern uint32 SonyDiskIconAddr;			// Icon addresses (Mac address space, set by PatchROM())
extern uint32 SonyDriveIconAddr;

extern void SonyInit(void);
extern void SonyExit(void);

extern void SonyDiskInserted(int num);

extern int16 SonyOpen(uint32 pb, uint32 dce);
extern int16 SonyPrime(uint32 pb, uint32 dce);
extern int16 SonyControl(uint32 pb, uint32 dce);
extern int16 SonyStatus(uint32 pb, uint32 dce);

#endif
