/*
 *  timer.h - Time Manager emulation
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

#ifndef TIMER_H
#define TIMER_H

extern void TimerInit(void);
extern void TimerExit(void);
extern void TimerReset(void);

extern void TimerInterrupt(void);

extern int16 InsTime(uint32 tm, uint16 trap);
extern int16 RmvTime(uint32 tm);
extern int16 PrimeTime(uint32 tm, int32 time);
extern void Microseconds(uint32 &hi, uint32 &lo);

// System specific and internal functions/data
extern void timer_current_time(tm_time_t &t);
extern void timer_add_time(tm_time_t &res, tm_time_t a, tm_time_t b);
extern void timer_sub_time(tm_time_t &res, tm_time_t a, tm_time_t b);
extern int timer_cmp_time(tm_time_t a, tm_time_t b);
extern void timer_mac2host_time(tm_time_t &res, int32 mactime);
extern int32 timer_host2mac_time(tm_time_t hosttime);

#endif
