/*
 *  xpram.cpp - XPRAM handling
 *
 *  Basilisk II (C) 1997-1999 Christian Bauer
 */

/*
 *  SEE ALSO
 *    Inside Macintosh: Operating System Utilities, chapter 7 "Parameter RAM Utilities"
 */

#include <string.h>

#include "sysdeps.h"
#include "xpram.h"


// Extended parameter RAM
uint8 XPRAM[256];


/*
 *  Initialize XPRAM
 */

void XPRAMInit(void)
{
	// Clear XPRAM
	memset(XPRAM, 0, 256);

	// Load XPRAM from settings file
	LoadXPRAM();
}


/*
 *  Deinitialize XPRAM
 */

void XPRAMExit(void)
{
	// Save XPRAM to settings file
	SaveXPRAM();
}
